#
# Configuration for the pistachio chip.
#
# The data sheet of the chip and technical reference manual can be 
found at 
https://docs.creatordev.io/ci40/guides/hardwaredocs/cXT200_datasheet2.p
df # and 
https://docs.creatordev.io/ci40/guides/hardwaredocs/MIPS_Creator_cXT200_Technical_Reference_Manual_1.0.112.pdf.
#
# The list of hardware devices is as per below:
#
#  root@OpenWrt:/# arecord -l
# **** List of CAPTURE Hardware Devices **** card 0: pistachiocard [pistachio-card], device 1: pistachio-spdif-in snd-soc-dummy-dai-1 []
#   Subdevices: 1/1
#   Subdevice #0: subdevice #0
# card 0: pistachiocard [pistachio-card], device 4: pistachio-i2s-in-0 snd-soc-dummy-dai-4 []
#   Subdevices: 1/1
#   Subdevice #0: subdevice #0
#
# root@OpenWrt:/# aplay -l
# **** List of PLAYBACK Hardware Devices **** card 0: pistachiocard [pistachio-card], device 0: pistachio-spdif-out snd-soc-dummy-dai-0 []
#   Subdevices: 1/1
#   Subdevice #0: subdevice #0
# card 0: pistachiocard [pistachio-card], device 2: pistachio-parallel-out pistachio_internal_dac-2 []
#   Subdevices: 1/1
#   Subdevice #0: subdevice #0
# card 0: pistachiocard [pistachio-card], device 3: pistachio-i2s-out snd-soc-dummy-dai-3 []
#   Subdevices: 1/1
#   Subdevice #0: subdevice #0
#

pistachio-card.pcm.default{
        @args [ CARD ]
        @args.CARD {
                type string
                default "pistachio"
        }
        @args.DEVICE {
                type integer
                default 2
        }

        type asym
        capture.pcm {
                type multi
                slaves.a.pcm "hw:0,4"
                slaves.a.channels 12
                bindings.0.slave a
                bindings.0.channel 4
                bindings.1.slave a
                bindings.1.channel 5
        }

        playback.pcm {
                type hw
                card $CARD
                device $DEVICE

